## ToolsFavorites

ToolsFavorites

## Synopsis

                        ToolsFavoriteAction;
    GSList *            tools_favorites_get_actions         (ToolsFavorites *bfav,
                                                             BrowserConnection *bcnc,
                                                             GdaSet *set);
    void                tools_favorites_free_action         (ToolsFavoriteAction *action);
    void                tools_favorites_free_actions_list   (GSList *actions_list);

## Description

## Details

### ToolsFavoriteAction

    typedef struct {
    	gint                  id;
    	gchar                *name;
    	GdaStatement         *stmt;
    	GdaSet               *params;
    	gint                  nb_bound; /* number of GdaHolders in @params which are bound
    					 * to another GdaHolder */
    } ToolsFavoriteAction;

### tools_favorites_get_actions ()

    GSList *            tools_favorites_get_actions         (ToolsFavorites *bfav,
                                                             BrowserConnection *bcnc,
                                                             GdaSet *set);

Get a list of ToolsFavoriteAction which can be executed with the data in `set`.

`bfav` : | a ToolsFavorites
`bcnc` : | a BrowserConnection
`set` : | a GdaSet
Returns : | a new list of ToolsFavoriteAction, free list with `tools_favorites_free_actions()`

### tools_favorites_free_action ()

    void                tools_favorites_free_action         (ToolsFavoriteAction *action);

Frees `action`

`action` : | a ToolsFavoriteAction, or `NULL`. [allow-none]

### tools_favorites_free_actions_list ()

    void                tools_favorites_free_actions_list   (GSList *actions_list);

Free a list of ToolsFavoriteAction (frees the list and each ToolsFavoriteAction)

`actions_list` : | a list of ToolsFavoriteAction, or `NULL`. [allow-none]